package net.northking.cctp.upperComputer.driver.ios.command.data;

import java.io.DataInput;
import java.io.DataOutput;
import java.io.IOException;

public class WheelSelectUiNodeData extends SearchUiNodeData {
    public boolean order;

    public double offset;

    public void setOrder(boolean order) {
        this.order = order;
    }

    public boolean isOrder() {
        return order;
    }

    public void setOffset(double offset) {
        this.offset = offset;
    }

    public double getOffset() {
        return offset;
    }

    @Override
    public void buildFromInput(DataInput dataInput) throws IOException {
        super.buildFromInput(dataInput);
        order = dataInput.readBoolean();
        offset = dataInput.readDouble();
    }

    @Override
    public void encodeToOutput(DataOutput dataOutput) throws IOException {
        super.encodeToOutput(dataOutput);
        dataOutput.writeBoolean(order);
        dataOutput.writeDouble(offset);
    }
}
